/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  width: 100%;
  height: 100%;
  padding: 1em;
  box-sizing: border-box;
  position: relative;
  display: grid;
  grid-template-rows: 1fr auto;
  grid-template-columns: 100%;
}

.comments--list--buttons {
  margin-bottom: 1em;
}

.comments--list--buttons---size {
  font-size: 11px;
}

.comments--list--buttons--button {
  margin-right: 0.5em;
}

.comments--list--comment {
  margin-bottom: 0.75em;
}

.comments--list--comment--header {
  margin-bottom: 0.2em;
  display: flex;
  align-items: center;
}

.comments--list--comment--text {
  width: 100%;
  word-wrap: break-word;
}

.comments--list--comment--header--author {
  font-weight: bold;
  margin-right: 0.25em;
}

.comments--list--comment--header--time {
  margin-right: 0.25em;
}

.comments--list--comment--header--button {
  width: 16px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 0;
}

.comments--list--comment--header--button--icon {
  font-size: 14px;
  width: 16px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.comments--newcomment--textfield {
  resize: none;
  width: 100%;
  box-sizing: border-box;
  min-height: 2.5em;
}

.comments--newcomment--textfield--buttons {
  display: flex;
  justify-content: flex-end;
  margin-top: 0.5em;
}

.comments--newcomment--textfield--buttons--first-button {
  margin-right: 0.5em;
}
